Skip to main content

Documentation Index

Fetch the complete documentation index at: https://mintlify.com/directus/directus/llms.txt

Use this file to discover all available pages before exploring further.

The Users API allows you to manage user accounts.

List Users

GET /users
Example:
curl "https://your-directus-instance.com/users" \
  -H "Authorization: Bearer YOUR_TOKEN"

Get User

GET /users/:id

Get Current User

GET /users/me

Create User

POST /users
Request Body:
{
  "email": "user@example.com",
  "password": "secure-password",
  "role": "role-uuid",
  "first_name": "John",
  "last_name": "Doe"
}

Update User

PATCH /users/:id

Delete User

DELETE /users/:id

Invite User

Send an invitation email:
POST /users/invite
Request Body:
{
  "email": "newuser@example.com",
  "role": "role-uuid"
}

User Properties

id
string
User UUID
email
string
Email address
first_name
string
First name
last_name
string
Last name
role
string
Role UUID
status
string
User status: active, invited, draft, suspended, archived

Next Steps

Roles

Manage roles

Permissions

Manage permissions